/* Checkbox ================ */

@import "../../../core/_variables.scss";

$checkbox-icon-size: 18px;

$checkbox-color: $color-black-light;
$checkbox-color-white: $color-white;

$checkbox-font-size: 18px;

.checkbox {
  position: relative;
  display: inline-flex;
  align-items: center;
  padding-left: 30px;
  text-align: left;
  cursor: pointer;
}

.checkbox__input {
  position: absolute;
  width: 1px;
  height: 1px;
  overflow: hidden;
  clip: rect(0 0 0 0);

  &:checked {

    ~ .checkbox__icon {

      &::after {
        opacity: 1;
      }
    }
  }

  ~ span.error {
    display: none !important;
  }

  &.error {

    ~ .checkbox__icon {
      border-color: $color-error;
    }
  }
}

.checkbox__icon {
  position: absolute;
  top: 2px;
  left: 0;
  width: $checkbox-icon-size;
  height: $checkbox-icon-size;
  border: 1px solid $checkbox-color;
  border-radius: 4px;

  &::after {
    content: "";
    position: absolute;
    top: 2px;
    right: 2px;
    bottom: 2px;
    left: 2px;
    background-color: $checkbox-color;
    opacity: 0;
  }
}

.checkbox__label {
  color: $checkbox-color;
  font-size: $checkbox-font-size;
  text-align: left;
}

.checkbox--white {

  .checkbox__icon {
    border-color: $checkbox-color-white;

    &::after {
      background-color: $checkbox-color-white;
    }
  }

  .checkbox__label {
    color: $checkbox-color-white;
  }
}
/* ================ end checkbox styles */
